<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: LCDLib/Include/LCDLIB.h Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_02de365e572d7e73aaf164675e97f837.html">LCDLib</a></li><li class="navelem"><a class="el" href="../../dir_7323141c4cd4ed205781da7bd370df61.html">Include</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">LCDLIB.h</div></div>
</div><!--header-->
<div class="contents">
<a href="../../de/d1b/_l_c_d_l_i_b_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#ifndef __NANO1X2_LCDLIB_H</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#define __NANO1X2_LCDLIB_H</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../da/dec/struct_zone_info___type_def.html">   33</a></span><span class="keyword">typedef</span> <span class="keyword">struct</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>{</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../d0/d1c/group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa75776f9baed491b8c270d419a3f6977">   35</a></span>    uint32_t <a class="code hl_variable" href="../../d0/d1c/group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa75776f9baed491b8c270d419a3f6977">Sub_Zone_Num</a>;      </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../d0/d1c/group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3cf84831379351ebe54dbe1ab63db86d">   36</a></span>    uint32_t <a class="code hl_variable" href="../../d0/d1c/group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3cf84831379351ebe54dbe1ab63db86d">Zone_Digit_SegNum</a>; </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>} <a class="code hl_struct" href="../../da/dec/struct_zone_info___type_def.html">ZoneInfo_TypeDef</a>;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span> <span class="comment">/* end of group NANO1X2_LCDLIB_EXPORTED_STRUCTS */</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span> </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d1c/group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab4eec8bf4978835b793764276f53f0a5">LCDLIB_Printf</a>(uint32_t  u32Zone, <span class="keywordtype">char</span> *<span class="keywordtype">string</span>);</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d1c/group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf8ede697562cea379a6eb00a0157a28f">LCDLIB_PutChar</a>(uint32_t u32Zone, uint32_t u32Index, uint8_t u8Ch);</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d1c/group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabcca43be459440650558de1c0e556fb3">LCDLIB_SetSymbol</a>(uint32_t u32Zone, uint32_t u32Index, uint32_t u32OnOff);</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d1c/group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa8ed043f2d8f9604ddf2aa7c2b665f1e">LCDLIB_PrintNumber</a>(uint32_t  u32Zone, <span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code hl_variable" href="../../d5/d32/semihosting_8h.html#aacce635d68067370c70caa2381ea1040">value</a>);</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span> </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span> <span class="comment">/* end of group NANO1X2_LCDLIB_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span> <span class="comment">/* end of group NANO1X2_LCDLIB_Driver */</span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span> <span class="comment">/* end of group NANO1X2_Library */</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span> </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span> </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>}</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span> </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span><span class="preprocessor">#endif  </span><span class="comment">/* __NANO1X2_LCDLIB_H */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span> </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span> </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span> </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span><span class="comment">/*** (C) COPYRIGHT 2014 Nuvoton Technology Corp. ***/</span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span> </div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga3cf84831379351ebe54dbe1ab63db86d"><div class="ttname"><a href="../../d0/d1c/group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3cf84831379351ebe54dbe1ab63db86d">ZoneInfo_TypeDef::Zone_Digit_SegNum</a></div><div class="ttdeci">uint32_t Zone_Digit_SegNum</div><div class="ttdoc">Segment number.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d1b/_l_c_d_l_i_b_8h_source.html#l00036">LCDLIB.h:36</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaa75776f9baed491b8c270d419a3f6977"><div class="ttname"><a href="../../d0/d1c/group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa75776f9baed491b8c270d419a3f6977">ZoneInfo_TypeDef::Sub_Zone_Num</a></div><div class="ttdeci">uint32_t Sub_Zone_Num</div><div class="ttdoc">Sub zone number.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d1b/_l_c_d_l_i_b_8h_source.html#l00035">LCDLIB.h:35</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaa8ed043f2d8f9604ddf2aa7c2b665f1e"><div class="ttname"><a href="../../d0/d1c/group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa8ed043f2d8f9604ddf2aa7c2b665f1e">LCDLIB_PrintNumber</a></div><div class="ttdeci">void LCDLIB_PrintNumber(uint32_t u32Zone, long long value)</div><div class="ttdoc">Display number on LCD.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d6b/_l_c_d_l_i_b_8c_source.html#l00122">LCDLIB.c:122</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gab4eec8bf4978835b793764276f53f0a5"><div class="ttname"><a href="../../d0/d1c/group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab4eec8bf4978835b793764276f53f0a5">LCDLIB_Printf</a></div><div class="ttdeci">void LCDLIB_Printf(uint32_t u32Zone, char *string)</div><div class="ttdoc">Display text on LCD.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d6b/_l_c_d_l_i_b_8c_source.html#l00064">LCDLIB.c:64</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gabcca43be459440650558de1c0e556fb3"><div class="ttname"><a href="../../d0/d1c/group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabcca43be459440650558de1c0e556fb3">LCDLIB_SetSymbol</a></div><div class="ttdeci">void LCDLIB_SetSymbol(uint32_t u32Zone, uint32_t u32Index, uint32_t u32OnOff)</div><div class="ttdoc">Display symbol on LCD.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d6b/_l_c_d_l_i_b_8c_source.html#l00242">LCDLIB.c:242</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaf8ede697562cea379a6eb00a0157a28f"><div class="ttname"><a href="../../d0/d1c/group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf8ede697562cea379a6eb00a0157a28f">LCDLIB_PutChar</a></div><div class="ttdeci">void LCDLIB_PutChar(uint32_t u32Zone, uint32_t u32Index, uint8_t u8Ch)</div><div class="ttdoc">Display character on LCD.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d6b/_l_c_d_l_i_b_8c_source.html#l00193">LCDLIB.c:193</a></div></div>
<div class="ttc" id="asemihosting_8h_html_aacce635d68067370c70caa2381ea1040"><div class="ttname"><a href="../../d5/d32/semihosting_8h.html#aacce635d68067370c70caa2381ea1040">value</a></div><div class="ttdeci">return value</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d32/semihosting_8h_source.html#l00098">semihosting.h:98</a></div></div>
<div class="ttc" id="astruct_zone_info___type_def_html"><div class="ttname"><a href="../../da/dec/struct_zone_info___type_def.html">ZoneInfo_TypeDef</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d1b/_l_c_d_l_i_b_8h_source.html#l00033">LCDLIB.h:34</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:30 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
